Bug 1460808 - service dialog saving elements when switching elements - cancel only reverts current element
service dialog saving elements when switching elements - cancel only reverts ...
Status: CLOSED ERRATA
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.7.0
Unspecified Unspecified
high Severity medium
: GA
: 5.8.1
Assigned To: Harpreet Kataria
Shveta
service:dialog
: ZStream
Depends On: 1454428
Blocks:
  Show dependency treegraph
 
Reported: 2017-06-12 16:03 EDT by Satoe Imaishi
Modified: 2017-08-02 13:30 EDT (History)
7 users (show)

See Also:
Fixed In Version: 5.8.1.0
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: 1454428
Environment:
Last Closed: 2017-08-02 13:30:25 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Comment 2 CFME Bot 2017-06-12 16:09:08 EDT
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/4e18b58c10363a6df0acc299fd7d43d35afabae7

commit 4e18b58c10363a6df0acc299fd7d43d35afabae7
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Wed Jun 7 17:15:55 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jun 12 16:03:16 2017 -0400

    Merge pull request #1445 from h-kataria/dialog_editor_fix
    
    Rollback any changes to Dialog object when validating dialog elements.
    (cherry picked from commit 61d74f88b7fed728be73951dbfcd355cda0695ad)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1460808

 .../miq_ae_customization_controller/dialogs.rb     |  1 +
 .../dialogs_spec.rb                                | 27 ++++++++++++++++++----
 2 files changed, 23 insertions(+), 5 deletions(-)
Comment 3 Shveta 2017-06-28 11:06:01 EDT
Fixed in 5.8.1.0.20170623170756_3ed4411
Comment 5 errata-xmlrpc 2017-08-02 13:30:25 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1758

Note You need to log in before you can comment on or make changes to this bug.